## org.apache.commons.math.linear
Class MatrixIndexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException
                      org.apache.commons.math.linear.MatrixIndexException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class MatrixIndexException

extends MathRuntimeException

Thrown when an operation addresses a matrix coordinate (row, col) which is outside of the dimensions of a matrix.

Version:
  $Revision: 1073255 $ $Date: 2011-02-22 09:42:06 +0100 (mar. 22 févr. 2011) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`MatrixIndexException(Localizable pattern, Object... arguments)` Constructs a new instance with specified formatted detail message.
`MatrixIndexException(String pattern, Object... arguments)` Deprecated. as of 2.2 replaced by `MatrixIndexException(Localizable, Object...)`

Method Summary

Methods inherited from class org.apache.commons.math.MathRuntimeException

`createArithmeticException, createArithmeticException, createArrayIndexOutOfBoundsException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createConcurrentModificationException, createEOFException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNoSuchElementException, createNullPointerException, createNullPointerException, createParseException, createParseException, createUnsupportedOperationException, getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### MatrixIndexException

    @Deprecated
    public MatrixIndexException(String pattern,
                                           Object... arguments)

  Deprecated. as of 2.2 replaced by `MatrixIndexException(Localizable, Object...)`

  Constructs a new instance with specified formatted detail message.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments

### MatrixIndexException

    public MatrixIndexException(Localizable pattern,
                                Object... arguments)

  Constructs a new instance with specified formatted detail message.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

Copyright (c) 2003-2013 Apache Software Foundation